%global 	momorel	1

Name:           libgit2
Version:        0.27.4
Release:        %{momorel}m%{?dist}
Summary:        C implementation of the Git core methods as a library with a solid API

Group:		Development/Libraries

License:        GPLv2 with exceptions
URL:            http://libgit2.github.com/
Source0:        https://github.com/libgit2/libgit2/archive/v%{version}.tar.gz
NoSource:	0

BuildRequires:  cmake
BuildRequires:  http-parser-devel
BuildRequires:  libcurl-devel
BuildRequires:  libssh2-devel
BuildRequires:  openssl-devel
BuildRequires:  python2
BuildRequires:  zlib-devel
Provides:       bundled(libxdiff)

%description
libgit2 is a portable, pure C implementation of the Git core methods 
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language
with bindings.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

# Remove VCS files from examples
find examples -name ".gitignore" -delete -print

# Fix pkgconfig generation
sed -i 's|@CMAKE_INSTALL_PREFIX@/||' libgit2.pc.in

# Don't test network
sed -i 's/ionline/xonline/' CMakeLists.txt

# Remove bundled libraries
rm -frv deps

%build
mkdir %{_target_platform}
pushd %{_target_platform}
  %cmake -DTHREADSAFE=ON ..
popd
###%make_build -C %{_target_platform}
make -C %{_target_platform}

%install
###%make_install -C %{_target_platform}
make DESTDIR=%{buildroot} -C %{_target_platform} install

%check
pushd %{_target_platform}
  ctest -VV
popd

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
###%license COPYING
%doc COPYING
%{_libdir}/%{name}.so.*

%files devel
%doc AUTHORS docs examples README.md
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/git2.h
%{_includedir}/git2/

%changelog
* Sat Aug 18 2018 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.27.4-1m)
- update to 0.27.4

* Tue May 16 2017 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.25.1-1m)
- import from fc
- Initial package.
